package com.lqkj.link.module.bulletin.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.Date;

@Entity
@Table(name = "bulletin_info")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class BulletinInfo {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "info_id")
    @Schema(description = "信息ID")
    private Integer infoId;
    @Column(name = "content")
    @Schema(description = "信息内容")
    private String content;
    @Column(name = "create_time")
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    @Schema(description = "创建时间")
    private Date createTime;
    @Column(name = "info_type")
    @Schema(description = "信息类型，1更新日志，2通知公告")
    private Integer infoType;
}
